<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.izouma.awesomeadmin.dao.AimPlacePositionMapper">
    <resultMap id="BaseResultMap" type="com.izouma.awesomeadmin.model.AimPlacePosition">
        <id column="id" property="id" jdbcType="INTEGER"/>
        <result column="del_flag" property="delFlag" jdbcType="CHAR"/>
        <result column="update_time" property="updateTime" jdbcType="TIMESTAMP"/>
        <result column="update_user" property="updateUser" jdbcType="VARCHAR"/>
        <result column="create_time" property="createTime" jdbcType="TIMESTAMP"/>
        <result column="create_user" property="createUser" jdbcType="VARCHAR"/>
        <result column="name" property="name" jdbcType="VARCHAR"/>
        <result column="type" property="type" jdbcType="VARCHAR"/>
        <result column="pos_x" property="posX" jdbcType="VARCHAR"/>
        <result column="pos_y" property="posY" jdbcType="VARCHAR"/>
        <result column="pos_z" property="posZ" jdbcType="VARCHAR"/>
        <result column="remark1" property="remark1" jdbcType="VARCHAR"/>
        <result column="remark2" property="remark2" jdbcType="VARCHAR"/>
        <result column="remark3" property="remark3" jdbcType="VARCHAR"/>
        <result column="front_level_id" property="frontLevelId" jdbcType="VARCHAR"/>
        <result column="owned_land_mark_id" property="ownedLandMarkId" jdbcType="VARCHAR"/>
        <result column="map_index" property="mapIndex" jdbcType="INTEGER"/>
    </resultMap>
    <sql id="Base_Column_List">
        <trim suffixOverrides=",">
            id,

            del_flag,

            update_time,

            update_user,

            create_time,

            create_user,

            name,

            type,

            pos_x,

            pos_y,

            pos_z,

            remark1,

            remark2,

            remark3,

            front_level_id,

            owned_land_mark_id,

            map_index,

        </trim>
    </sql>
    <select id="selectByPrimaryKey" resultMap="BaseResultMap" parameterType="java.lang.Integer">
        select
        <include refid="Base_Column_List"/>
        from aim_place_position
        where id = #{id,jdbcType=INTEGER}
    </select>
    <delete id="deleteByPrimaryKey" parameterType="java.lang.Integer">
        delete from aim_place_position
        where id = #{id,jdbcType=INTEGER}
    </delete>
    <insert id="insertSelective" parameterType="com.izouma.awesomeadmin.model.AimPlacePosition" useGeneratedKeys="true"
            keyProperty="id">
        insert into aim_place_position
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id!= null">
                id,
            </if>
            <if test="delFlag!= null">
                del_flag,
            </if>
            <if test="updateTime!= null">
                update_time,
            </if>
            <if test="updateUser!= null">
                update_user,
            </if>
            <if test="createTime!= null">
                create_time,
            </if>
            <if test="createUser!= null">
                create_user,
            </if>
            <if test="name!= null">
                name,
            </if>
            <if test="type!= null">
                type,
            </if>
            <if test="posX!= null">
                pos_x,
            </if>
            <if test="posY!= null">
                pos_y,
            </if>
            <if test="posZ!= null">
                pos_z,
            </if>
            <if test="remark1!= null">
                remark1,
            </if>
            <if test="remark2!= null">
                remark2,
            </if>
            <if test="remark3!= null">
                remark3,
            </if>
            <if test="frontLevelId!= null">
                front_level_id,
            </if>
            <if test="ownedLandMarkId!= null">
                owned_land_mark_id,
            </if>
            <if test="mapIndex!= null">
                map_index,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">
                #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="name != null">
                #{name,jdbcType=VARCHAR},
            </if>
            <if test="type != null">
                #{type,jdbcType=VARCHAR},
            </if>
            <if test="posX != null">
                #{posX,jdbcType=VARCHAR},
            </if>
            <if test="posY != null">
                #{posY,jdbcType=VARCHAR},
            </if>
            <if test="posZ != null">
                #{posZ,jdbcType=VARCHAR},
            </if>
            <if test="remark1 != null">
                #{remark1,jdbcType=VARCHAR},
            </if>
            <if test="remark2 != null">
                #{remark2,jdbcType=VARCHAR},
            </if>
            <if test="remark3 != null">
                #{remark3,jdbcType=VARCHAR},
            </if>
            <if test="frontLevelId != null">
                #{frontLevelId,jdbcType=VARCHAR},
            </if>
            <if test="ownedLandMarkId != null">
                #{ownedLandMarkId,jdbcType=VARCHAR},
            </if>
            <if test="mapIndex != null">
                #{mapIndex},
            </if>
        </trim>
    </insert>
    <update id="updateByPrimaryKeySelective" parameterType="com.izouma.awesomeadmin.model.AimPlacePosition">
        update aim_place_position
        <set>
            <if test="id != null">
                id= #{id,jdbcType=INTEGER},
            </if>
            <if test="delFlag != null">
                del_flag= #{delFlag,jdbcType=CHAR},
            </if>
            <if test="updateTime != null">
                update_time= #{updateTime,jdbcType=TIMESTAMP},
            </if>
            <if test="updateUser != null">
                update_user= #{updateUser,jdbcType=VARCHAR},
            </if>
            <if test="createTime != null">
                create_time= #{createTime,jdbcType=TIMESTAMP},
            </if>
            <if test="createUser != null">
                create_user= #{createUser,jdbcType=VARCHAR},
            </if>
            <if test="name != null">
                name= #{name,jdbcType=VARCHAR},
            </if>
            <if test="type != null">
                type= #{type,jdbcType=VARCHAR},
            </if>
            <if test="posX != null">
                pos_x= #{posX,jdbcType=VARCHAR},
            </if>
            <if test="posY != null">
                pos_y= #{posY,jdbcType=VARCHAR},
            </if>
            <if test="posZ != null">
                pos_z= #{posZ,jdbcType=VARCHAR},
            </if>
            <if test="remark1 != null">
                remark1= #{remark1,jdbcType=VARCHAR},
            </if>
            <if test="remark2 != null">
                remark2= #{remark2,jdbcType=VARCHAR},
            </if>
            <if test="remark3 != null">
                remark3= #{remark3,jdbcType=VARCHAR},
            </if>
            <if test="frontLevelId != null">
                front_level_id= #{frontLevelId,jdbcType=VARCHAR},
            </if>
            <if test="ownedLandMarkId != null">
                owned_land_mark_id= #{ownedLandMarkId,jdbcType=VARCHAR},
            </if>
            <if test="mapIndex != null">
                map_index= #{mapIndex},
            </if>
        </set>
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>

    </update>
    <select id="queryAimPlacePositionByPage" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimPlacePosition">
        select
        <include refid="Base_Column_List"/>
        from aim_place_position
        <where>
            and del_flag = 'N'
            <if test="record.idStr != null and !&quot;&quot;.equals(record.idStr)">
                and id in (${record.idStr})
            </if>
            <if test="record.id != null and !&quot;&quot;.equals(record.id)">
                and id = #{record.id}
            </if>
            <if test="record.delFlag != null and !&quot;&quot;.equals(record.delFlag)">
                and del_flag = #{record.delFlag}
            </if>
            <if test="record.updateTime != null and !&quot;&quot;.equals(record.updateTime)">
                and update_time = #{record.updateTime}
            </if>
            <if test="record.updateUser != null and !&quot;&quot;.equals(record.updateUser)">
                and update_user = #{record.updateUser}
            </if>
            <if test="record.createTime != null and !&quot;&quot;.equals(record.createTime)">
                and create_time = #{record.createTime}
            </if>
            <if test="record.createUser != null and !&quot;&quot;.equals(record.createUser)">
                and create_user = #{record.createUser}
            </if>
            <if test="record.name != null and !&quot;&quot;.equals(record.name)">
                and name = #{record.name}
            </if>
            <if test="record.type != null and !&quot;&quot;.equals(record.type)">
                and type = #{record.type}
            </if>
            <if test="record.posX != null and !&quot;&quot;.equals(record.posX)">
                and pos_x = #{record.posX}
            </if>
            <if test="record.posY != null and !&quot;&quot;.equals(record.posY)">
                and pos_y = #{record.posY}
            </if>
            <if test="record.posZ != null and !&quot;&quot;.equals(record.posZ)">
                and pos_z = #{record.posZ}
            </if>
            <if test="record.remark1 != null and !&quot;&quot;.equals(record.remark1)">
                and remark1 = #{record.remark1}
            </if>
            <if test="record.remark2 != null and !&quot;&quot;.equals(record.remark2)">
                and remark2 = #{record.remark2}
            </if>
            <if test="record.remark3 != null and !&quot;&quot;.equals(record.remark3)">
                and remark3 = #{record.remark3}
            </if>
            <if test="record.frontLevelId != null and !&quot;&quot;.equals(record.frontLevelId)">

                and (front_level_id = #{record.frontLevelId}
                <if test="'0'.toString()==record.frontLevelId">
                    or (front_level_id is null or front_level_id = '')
                </if>
                )
            </if>

            <if test="record.ownedLandMarkId != null and !&quot;&quot;.equals(record.ownedLandMarkId)">
                and owned_land_mark_id = #{record.ownedLandMarkId}
            </if>
            <if test="record.mapIndex != null and !&quot;&quot;.equals(record.mapIndex)">
                and map_index = #{record.mapIndex}
            </if>
            <if test="record.searchKey != null and !&quot;&quot;.equals(record.searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR name LIKE concat('%',#{record.searchKey},'%')
                    OR type LIKE concat('%',#{record.searchKey},'%')
                    OR pos_x LIKE concat('%',#{record.searchKey},'%')
                    OR pos_y LIKE concat('%',#{record.searchKey},'%')
                    OR pos_z LIKE concat('%',#{record.searchKey},'%')
                    OR remark1 LIKE concat('%',#{record.searchKey},'%')
                    OR remark2 LIKE concat('%',#{record.searchKey},'%')
                    OR remark3 LIKE concat('%',#{record.searchKey},'%')
                    OR front_level_id LIKE concat('%',#{record.searchKey},'%')
                    OR owned_land_mark_id LIKE concat('%',#{record.searchKey},'%')
                </trim>
            </if>

            <if test="record.advancedQuery != null and !&quot;&quot;.equals(record.advancedQuery)">
                <foreach item="item" index="index" collection="record.advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>

        </where>
        order by

        <if test="record.orderByStr != null and !&quot;&quot;.equals(record.orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="record.orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>
        id desc
    </select>
    <select id="queryAllAimPlacePosition" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimPlacePosition">
        select
        <include refid="Base_Column_List"/>
        from aim_place_position
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="posX != null and !&quot;&quot;.equals(posX)">
                and pos_x = #{posX}
            </if>
            <if test="posY != null and !&quot;&quot;.equals(posY)">
                and pos_y = #{posY}
            </if>
            <if test="posZ != null and !&quot;&quot;.equals(posZ)">
                and pos_z = #{posZ}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">

                and (front_level_id = #{frontLevelId}
                <if test="'0'.toString()==frontLevelId">
                    or (front_level_id is null or front_level_id = '')
                </if>
                )
            </if>
            <if test="ownedLandMarkId != null and !&quot;&quot;.equals(ownedLandMarkId)">
                and owned_land_mark_id = #{ownedLandMarkId}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR name LIKE concat('%',#{searchKey},'%')
                    OR type LIKE concat('%',#{searchKey},'%')
                    OR pos_x LIKE concat('%',#{searchKey},'%')
                    OR pos_y LIKE concat('%',#{searchKey},'%')
                    OR pos_z LIKE concat('%',#{searchKey},'%')
                    OR remark1 LIKE concat('%',#{searchKey},'%')
                    OR remark2 LIKE concat('%',#{searchKey},'%')
                    OR remark3 LIKE concat('%',#{searchKey},'%')
                    OR front_level_id LIKE concat('%',#{searchKey},'%')
                    OR owned_land_mark_id LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAllAimPlacePositionChild" parameterType="java.util.Map"
            resultMap="AimPlacePositionChildResultMap">
        select
        <include refid="Base_Column_List"/>
        from aim_place_position
        <where>
            and del_flag = 'N'
            <if test="idStr != null and !&quot;&quot;.equals(idStr)">
                and id in (${idStr})
            </if>
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="posX != null and !&quot;&quot;.equals(posX)">
                and pos_x = #{posX}
            </if>
            <if test="posY != null and !&quot;&quot;.equals(posY)">
                and pos_y = #{posY}
            </if>
            <if test="posZ != null and !&quot;&quot;.equals(posZ)">
                and pos_z = #{posZ}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">

                and (front_level_id = #{frontLevelId}
                <if test="'0'.toString()==frontLevelId">
                    or (front_level_id is null or front_level_id = '')
                </if>
                )
            </if>

            <if test="ownedLandMarkId != null and !&quot;&quot;.equals(ownedLandMarkId)">
                and owned_land_mark_id = #{ownedLandMarkId}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>
            <if test="searchKey != null and !&quot;&quot;.equals(searchKey)">
                <trim prefix="and (" suffix=")" prefixOverrides="OR">
                    OR name LIKE concat('%',#{searchKey},'%')
                    OR type LIKE concat('%',#{searchKey},'%')
                    OR pos_x LIKE concat('%',#{searchKey},'%')
                    OR pos_y LIKE concat('%',#{searchKey},'%')
                    OR pos_z LIKE concat('%',#{searchKey},'%')
                    OR remark1 LIKE concat('%',#{searchKey},'%')
                    OR remark2 LIKE concat('%',#{searchKey},'%')
                    OR remark3 LIKE concat('%',#{searchKey},'%')
                    OR front_level_id LIKE concat('%',#{searchKey},'%')
                    OR owned_land_mark_id LIKE concat('%',#{searchKey},'%')
                </trim>
            </if>
            <if test="advancedQuery != null and !&quot;&quot;.equals(advancedQuery)">
                <foreach item="item" index="index" collection="advancedQuery.split('_;')">
                    <choose>
                        <when test="item.indexOf('like') != -1">
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    concat('%',#{itemDetail},'%')
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </when>
                        <otherwise>
                            <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                                <if test="detailIndex == 3">
                                    #{itemDetail}
                                </if>

                                <if test="detailIndex &lt; 3">
                                    ${itemDetail}
                                </if>

                            </foreach>
                        </otherwise>
                    </choose>


                </foreach>


            </if>
        </where>
        order by

        <if test="orderByStr != null and !&quot;&quot;.equals(orderByStr)">


            <trim suffixOverrides=",">
                <foreach item="item" index="index" separator="," collection="orderByStr.split('_;')">
                    <foreach item="itemDetail" index="detailIndex" collection="item.split('_,')">
                        ${itemDetail}
                    </foreach>
                </foreach>
            </trim>
            ,
        </if>

        id desc
    </select>
    <select id="queryAimPlacePosition" parameterType="java.util.Map"
            resultType="com.izouma.awesomeadmin.model.AimPlacePosition">
        select
        <include refid="Base_Column_List"/>
        from aim_place_position
        <where>
            and del_flag = 'N'
            <if test="id != null and !&quot;&quot;.equals(id)">
                and id = #{id}
            </if>
            <if test="delFlag != null and !&quot;&quot;.equals(delFlag)">
                and del_flag = #{delFlag}
            </if>
            <if test="updateTime != null and !&quot;&quot;.equals(updateTime)">
                and update_time = #{updateTime}
            </if>
            <if test="updateUser != null and !&quot;&quot;.equals(updateUser)">
                and update_user = #{updateUser}
            </if>
            <if test="createTime != null and !&quot;&quot;.equals(createTime)">
                and create_time = #{createTime}
            </if>
            <if test="createUser != null and !&quot;&quot;.equals(createUser)">
                and create_user = #{createUser}
            </if>
            <if test="name != null and !&quot;&quot;.equals(name)">
                and name = #{name}
            </if>
            <if test="type != null and !&quot;&quot;.equals(type)">
                and type = #{type}
            </if>
            <if test="posX != null and !&quot;&quot;.equals(posX)">
                and pos_x = #{posX}
            </if>
            <if test="posY != null and !&quot;&quot;.equals(posY)">
                and pos_y = #{posY}
            </if>
            <if test="posZ != null and !&quot;&quot;.equals(posZ)">
                and pos_z = #{posZ}
            </if>
            <if test="remark1 != null and !&quot;&quot;.equals(remark1)">
                and remark1 = #{remark1}
            </if>
            <if test="remark2 != null and !&quot;&quot;.equals(remark2)">
                and remark2 = #{remark2}
            </if>
            <if test="remark3 != null and !&quot;&quot;.equals(remark3)">
                and remark3 = #{remark3}
            </if>
            <if test="frontLevelId != null and !&quot;&quot;.equals(frontLevelId)">
                and front_level_id = #{frontLevelId}
            </if>
            <if test="ownedLandMarkId != null and !&quot;&quot;.equals(ownedLandMarkId)">
                and owned_land_mark_id = #{ownedLandMarkId}
            </if>
            <if test="mapIndex != null and !&quot;&quot;.equals(mapIndex)">
                and map_index = #{mapIndex}
            </if>

        </where>
        LIMIT 1
    </select>
    <update id="delete">
        UPDATE aim_place_position SET del_flag = 'Y'
        where
        <if test="id != null and !&quot;&quot;.equals(id)">
            id = #{id,jdbcType=INTEGER}
        </if>

        <if test="idStr != null and !&quot;&quot;.equals(idStr)">
            id in (${idStr})
        </if>
    </update>
    <select id="query" parameterType="java.util.Map" resultType="com.izouma.awesomeadmin.model.AimPlacePosition">
        select
        <include refid="Base_Column_List"/>
        from aim_place_position
        <where>
            and del_flag = 'N'
        </where>
        order by id desc
    </select>

    <resultMap id="AimPlacePositionChildResultMap" type="com.izouma.awesomeadmin.model.AimPlacePosition"
               extends="BaseResultMap">


        <collection property="aimPlacePositionChildList" ofType="com.izouma.awesomeadmin.model.AimPlacePosition"
                    select="com.izouma.awesomeadmin.dao.AimPlacePositionMapper.queryAllAimPlacePositionChild"
                    column="{frontLevelId = id}">
        </collection>
    </resultMap>

</mapper>

